Subject: Re: Does GIT require property like Subversion?

From: Jan-Benedict Glaw <[email-masked]>
Date: Sun, 8 Oct 2006 11:19:00 +0200

On Sun, 2006-10-08 17:10:51 +0800, Liu Yubao <[email-masked]> wrote:
> I want to know whether there is a plan to add this feature, or GIT doesn't
> require it at all.
> 
> Properties like encoding (path name, file content), eol-style, mime-type
> are useful for editing.

GIT is a content tracker. It won't ever fiddle with your line
endings. You put data in there and it'll be conserved bit-by-bit. So
if you need to store file encodings, MIME types, automatic CR/CRLF/LF
converstion etc, you have to put this metadata into some additional
files, but GIT won't specifically handle that in any way.

MfG, JBG

-- 
      Jan-Benedict Glaw      [email-masked]              +49-172-7608481
Signature of:                     Eine Freie Meinung in einem Freien Kopf
the second  :                   für einen Freien Staat voll Freier Bürger.